
Infrastructure - Task #3032

Task # 3021 (Closed): ONEMercury - indicate users access to documents.

Incorporate access icons into ONEMercury data link display

2012-06-27 17:56 - Skye Roseboom

Status: Closed Start date: 2012-06-27

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_mercury Estimated time: 0.00 hour

Target version: Sprint-2012.25-Block.4.1   

Milestone: CCI-1.0.3 Story Points:  

Product Version: *   

Description

Update the 'data file' panel in ONEMercury to display the access icons based on users ability  to read each document.

History

#1 - 2012-07-05 16:01 - Skye Roseboom

Desired behavior:

Content is publicly readable: no icon

Content is private but accessible by the current user: unlocked icon

Content is private and no accessible by the current user: locked icon

#2 - 2012-07-05 19:38 - Skye Roseboom

- Status changed from New to In Progress

#3 - 2012-07-10 15:02 - Skye Roseboom

- File Access_Icons.png added

Screen capture showing a locked data file on the data file panel

#4 - 2012-07-17 20:28 - Skye Roseboom

- Milestone changed from CCI-1.1 to CCI-1.0.3

#5 - 2012-07-24 22:08 - Skye Roseboom

- Status changed from In Progress to Testing

Following parent issue, changes copied to 1.0.0 branch for testing prior to 1.0.3 release.

#6 - 2012-08-16 22:03 - Dave Vieglais

- Status changed from Testing to Closed

Looks good.

Files

Access_Icons.png 162 KB 2012-07-10 Skye Roseboom
